

SI_DURABILITYPATTERN = "^"..SI_DURABILITY.."%s(%d+)%s?/%s?(%d+)";

SI_IB_SETNAME_PATTERN = "^(.*) %(%d/(%d)%)$";

SI_IB_MULTISET_PREFIX = "%((%d*)%).*"..SI_IB_SET_PREFIX;

SI_IB_PREFIX_PATTERN = "^%+(%d+)%%?(.+)$";
SI_IB_SUFFIX_PATTERN = "^(.+)%+(%d+)%%?$";

if (SI_RunningWoW2) then
	SI_IB_EFFECTS = {
		{ effect = "STR",			name = SPELL_STAT1_NAME,		 	format = "+%d",			cat = "ATT" },
		{ effect = "AGI",			name = SPELL_STAT2_NAME, 			format = "+%d",			cat = "ATT" },
		{ effect = "STA",			name = SPELL_STAT3_NAME, 			format = "+%d",			cat = "ATT" },
		{ effect = "INT",			name = SPELL_STAT4_NAME, 			format = "+%d",			cat = "ATT" },
		{ effect = "SPI",			name = SPELL_STAT5_NAME,			format = "+%d",			cat = "ATT" },
		{ effect = "ARMOR",			name = SI_IB_ARMOR,				format = "+%d",			cat = "ATT" },

		{ effect = "ARCANERES",			name = RESISTANCE6_NAME,		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "FIRERES",			name = RESISTANCE2_NAME, 			format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "NATURERES", 		name = RESISTANCE3_NAME, 		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "FROSTRES",			name = RESISTANCE4_NAME, 		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "SHADOWRES",			name = RESISTANCE5_NAME,		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },

		{ effect = "DEFENSE",			name = SI_IB_DEFENSE, 			format = "+%d",			cat = "SKILL" },
		{ effect = "RESILIENCE",			name = SI_IB_RESILIENCE, 			format = "+%d",			cat = "SKILL" },
		
		{ effect = "WEAPONDAGGER",			name = SI_IB_WEAPONDAGGER, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONSWORD",			name = SI_IB_WEAPONSWORD, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONTWOSWORD",			name = SI_IB_WEAPONTWOSWORD, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONAXE",			name = SI_IB_WEAPONAXE, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONBOW",			name = SI_IB_WEAPONBOW, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONCROSSBOW",			name = SI_IB_WEAPONCROSSBOW, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONGUN",			name = SI_IB_WEAPONGUN, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONFERAL",			name = SI_IB_WEAPONFERAL, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONMACE",			name = SI_IB_WEAPONMACE, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONPOLEARM",			name = SI_IB_WEAPONPOLEARM, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONSTAFF",			name = SI_IB_WEAPONSTAFF, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONTWOAXE",			name = SI_IB_WEAPONTWOAXE, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONTWOMACE",			name = SI_IB_WEAPONTWOMACE, 			format = "+%d",			cat = "SKILL" },
		{ effect = "WEAPONFIST",			name = SI_IB_WEAPONFIST, 			format = "+%d",			cat = "SKILL" },
		
		{ effect = "MINING",			name = SI_IB_MINING,			format = "+%d",			cat = "SKILL" },
		{ effect = "HERBALISM",			name = SI_IB_HERBALISM, 		format = "+%d",			cat = "SKILL" },
		{ effect = "SKINNING", 			name = SI_IB_SKINNING, 		format = "+%d",			cat = "SKILL" },
		{ effect = "FISHING",			name = SI_IB_FISHING,			format = "+%d",			cat = "SKILL" },

		{ effect = "ATTACKPOWER", 		name = ATTACK_POWER_TOOLTIP, 		format = "+%d",			cat = "BON" },
		{ effect = "ATTACKPOWERUNDEAD", 		name = SI_IB_ATTACKPOWERUNDEAD, 		format = "+%d",			cat = "BON" },
		{ effect = "ATTACKPOWERFERAL", 		name = SI_IB_ATTACKPOWERFERAL, 		format = "+%d",			cat = "BON" },

		{ effect = "WEPDMG", 			name = SI_IB_WEPDMG, 			format = "+%d",			cat = "BON" },
		{ effect = "CRIT",			name = SI_IB_CRIT, 			format = "+%d",		cat = "BON" },
		{ effect = "BLOCK",			name = SI_IB_BLOCK, 			format = "+%d",		cat = "BON" },
		{ effect = "BLOCKAMT",			name = BLOCK, 			format = "+%d",		cat = "BON" },
		{ effect = "BLOCKVALUE",			name = SI_IB_BLOCKVALUE, 			format = "+%d",		cat = "BON" },
		{ effect = "DODGE",			name = SI_IB_DODGE, 			format = "+%d",		cat = "BON" },
		{ effect = "PARRY", 			name = SI_IB_PARRY, 			format = "+%d",		cat = "BON" },
		{ effect = "TOHIT", 			name = SI_IB_TOHIT, 			format = "+%d",		cat = "BON" },
		{ effect = "XTRAHIT", 			name = SI_IB_XTRAHIT, 			format = "+%d",		cat = "BON" },
		{ effect = "RANDMG", 			name = SI_IB_RANDMG, 			format = "+%d",			cat = "BON" },
		{ effect = "RANGEDATTACKPOWER",		name = RANGED_ATTACK_POWER,	format = "+%d",			cat = "BON" },
		{ effect = "RANGEDCRIT",		name = SI_IB_RANGEDCRIT,		format = "+%d",		cat = "BON" },
		{ effect = "RANGEDHASTE",		name = SI_IB_RANGEDHASTE,		format = "+%d",		cat = "BON" },
		{ effect = "HASTE",				name = SI_IB_HASTE,		format = "+%d",		cat = "BON" },
		
		{ effect = "SPELLDMGUNDEAD", 		name = SI_IB_SPELLDMGUNDEAD, 		format = "+%d",			cat = "SBON" },		
		{ effect = "DMG",			name = SI_IB_DMG, 			format = "+%d",			cat = "SBON" },
		{ effect = "HEAL",			name = SI_IB_HEAL, 			format = "+%d",			cat = "SBON"},
		{ effect = "SPELLCRIT", 		name = SI_IB_SPELLCRIT,		format = "+%d",		cat = "SBON" },
		{ effect = "SPELLTOHIT", 		name = SI_IB_SPELLTOHIT,		format = "+%d",		cat = "SBON" },
		{ effect = "ARCANEDMG", 		name = SI_IB_ARCANEDMG, 		format = "+%d",			cat = "SBON" },
		{ effect = "FIREDMG", 			name = SI_IB_FIREDMG, 			format = "+%d",			cat = "SBON" },
		{ effect = "FROSTDMG",			name = SI_IB_FROSTDMG, 		format = "+%d",			cat = "SBON" },
		{ effect = "HOLYDMG",			name = SI_IB_HOLYDMG, 			format = "+%d",			cat = "SBON" },
		{ effect = "NATUREDMG",			name = SI_IB_NATUREDMG, 		format = "+%d",			cat = "SBON" },
		{ effect = "SHADOWDMG",			name = SI_IB_SHADOWDMG, 		format = "+%d",			cat = "SBON" },
		{ effect = "SPELLHASTE",				name = SI_IB_SPELLHASTE,		format = "+%d",		cat = "SBON" },

		{ effect = "HEALTH",			name = SI_IB_HEALTH,			format = "+%d",			cat = "OBON" },
		{ effect = "HEALTHREG",			name = SI_IB_HEALTHREG,		format = "%d HP/5s",		cat = "OBON" },
		{ effect = "MANA",			name = SI_IB_MANA, 			format = "+%d",			cat = "OBON" },
		{ effect = "MANAREG",			name = SI_IB_MANAREG, 			format = "%d MP/5s",		cat = "OBON" },

		{ effect = "HIT_SHADOW",		name = SI_IB_HIT_SHADOW, 			format = "%d",		cat = "COH" },
		{ effect = "HIT_WOUND",			name = SI_IB_HIT_WOUND, 			format = "%d",		cat = "COH" },
	};
else

	SI_IB_EFFECTS = {
		{ effect = "STR",			name = SPELL_STAT0_NAME,		 	format = "+%d",			cat = "ATT" },
		{ effect = "AGI",			name = SPELL_STAT1_NAME, 			format = "+%d",			cat = "ATT" },
		{ effect = "STA",			name = SPELL_STAT2_NAME, 			format = "+%d",			cat = "ATT" },
		{ effect = "INT",			name = SPELL_STAT3_NAME, 			format = "+%d",			cat = "ATT" },
		{ effect = "SPI",			name = SPELL_STAT4_NAME,			format = "+%d",			cat = "ATT" },
		{ effect = "ARMOR",			name = SI_IB_ARMOR,				format = "+%d",			cat = "ATT" },

		{ effect = "ARCANERES",			name = RESISTANCE6_NAME,		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "FIRERES",			name = RESISTANCE2_NAME, 			format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "NATURERES", 		name = RESISTANCE3_NAME, 		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "FROSTRES",			name = RESISTANCE4_NAME, 		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },
		{ effect = "SHADOWRES",			name = RESISTANCE5_NAME,		format = GREEN_FONT_COLOR_CODE.."+%d",			cat = "RES" },

		{ effect = "DEFENSE",			name = SI_IB_DEFENSE, 			format = "+%d",			cat = "SKILL" },
		{ effect = "MINING",			name = SI_IB_MINING,			format = "+%d",			cat = "SKILL" },
		{ effect = "HERBALISM",			name = SI_IB_HERBALISM, 		format = "+%d",			cat = "SKILL" },
		{ effect = "SKINNING", 			name = SI_IB_SKINNING, 		format = "+%d",			cat = "SKILL" },
		{ effect = "FISHING",			name = SI_IB_FISHING,			format = "+%d",			cat = "SKILL" },

		{ effect = "ATTACKPOWER", 		name = ATTACK_POWER_TOOLTIP, 		format = "+%d",			cat = "BON" },
		{ effect = "ATTACKPOWERUNDEAD", 		name = SI_IB_ATTACKPOWERUNDEAD, 		format = "+%d",			cat = "BON" },
		{ effect = "ATTACKPOWERFERAL", 		name = SI_IB_ATTACKPOWERFERAL, 		format = "+%d",			cat = "BON" },
		{ effect = "WEPDMG", 			name = SI_IB_WEPDMG, 			format = "+%d",			cat = "BON" },
		{ effect = "CRIT",			name = SI_IB_CRIT, 			format = "+%d%%",		cat = "BON" },
		{ effect = "BLOCK",			name = SI_IB_BLOCK, 			format = "+%d%%",		cat = "BON" },
		{ effect = "BLOCKVALUE",			name = SI_IB_BLOCKVALUE, 			format = "+%d",		cat = "BON" },
		
		{ effect = "BLOCKAMT",			name = BLOCK, 			format = "+%d",		cat = "BON" },
		{ effect = "DODGE",			name = SI_IB_DODGE, 			format = "+%d%%",		cat = "BON" },
		{ effect = "PARRY", 			name = SI_IB_PARRY, 			format = "+%d%%",		cat = "BON" },
		{ effect = "TOHIT", 			name = SI_IB_TOHIT, 			format = "+%d%%",		cat = "BON" },
		{ effect = "XTRAHIT", 			name = SI_IB_XTRAHIT, 			format = "+%d%%",		cat = "BON" },
		{ effect = "RANDMG", 			name = SI_IB_RANDMG, 			format = "+%d",			cat = "BON" },
		{ effect = "RANGEDATTACKPOWER",		name = RANGED_ATTACK_POWER,	format = "+%d",			cat = "BON" },
		{ effect = "RANGEDCRIT",		name = SI_IB_RANGEDCRIT,		format = "+%d%%",		cat = "BON" },

		{ effect = "SPELLDMGUNDEAD", 		name = SI_IB_SPELLDMGUNDEAD, 		format = "+%d",			cat = "SBON" },
		{ effect = "DMG",			name = SI_IB_DMG, 			format = "+%d",			cat = "SBON" },
		{ effect = "HEAL",			name = SI_IB_HEAL, 			format = "+%d",			cat = "SBON"},
		{ effect = "SPELLCRIT", 		name = SI_IB_SPELLCRIT,		format = "+%d%%",		cat = "SBON" },
		{ effect = "SPELLTOHIT", 		name = SI_IB_SPELLTOHIT,		format = "+%d%%",		cat = "SBON" },
		{ effect = "ARCANEDMG", 		name = SI_IB_ARCANEDMG, 		format = "+%d",			cat = "SBON" },
		{ effect = "FIREDMG", 			name = SI_IB_FIREDMG, 			format = "+%d",			cat = "SBON" },
		{ effect = "FROSTDMG",			name = SI_IB_FROSTDMG, 		format = "+%d",			cat = "SBON" },
		{ effect = "HOLYDMG",			name = SI_IB_HOLYDMG, 			format = "+%d",			cat = "SBON" },
		{ effect = "NATUREDMG",			name = SI_IB_NATUREDMG, 		format = "+%d",			cat = "SBON" },
		{ effect = "SHADOWDMG",			name = SI_IB_SHADOWDMG, 		format = "+%d",			cat = "SBON" },

		{ effect = "HEALTH",			name = SI_IB_HEALTH,			format = "+%d",			cat = "OBON" },
		{ effect = "HEALTHREG",			name = SI_IB_HEALTHREG,		format = "%d HP/5s",		cat = "OBON" },
		{ effect = "MANA",			name = SI_IB_MANA, 			format = "+%d",			cat = "OBON" },
		{ effect = "MANAREG",			name = SI_IB_MANAREG, 			format = "%d MP/5s",		cat = "OBON" },

		{ effect = "HIT_SHADOW",		name = SI_IB_HIT_SHADOW, 			format = "%d",		cat = "COH" },
		{ effect = "HIT_WOUND",			name = SI_IB_HIT_WOUND, 			format = "%d",		cat = "COH" },
	};
end